/**
 * @license Copyright (c) 2003-2015, CKSource - Frederico Knabben. All rights reserved.
 * For licensing, see LICENSE.md or http://ckeditor.com/license
 */

CKEDITOR.editorConfig = function( config ) {
	// Define changes to default configuration here.
	// For complete reference see:
	// http://docs.ckeditor.com/#!/api/CKEDITOR.config

	// The toolbar groups arrangement, optimized for a single toolbar row.
	config.toolbarGroups = [
		{ name: 'document',	   groups: [ 'mode', 'document', 'doctools' ] },
		{ name: 'clipboard',   groups: [ 'clipboard', 'undo' ] },
		{ name: 'editing',     groups: [ 'find', 'selection', 'spellchecker' ] },
		{ name: 'forms' },
		{ name: 'basicstyles', groups: [ 'basicstyles', 'cleanup' ] },
		{ name: 'paragraph',   groups: [ 'list', 'indent', 'blocks', 'align', 'bidi' ] },
		{ name: 'links' },
		{ name: 'insert' },
		{ name: 'styles' },
		{ name: 'colors' },
		{ name: 'tools' },
		{ name: 'others' },
		{ name: 'about' }
	];
    config.removePlugins = 'contextmenu,liststyle,tabletools,menubutton,markdown';
    config.removeButtons = 'Cut,Copy,Paste,Anchor,Subscript,Superscript,About,Styles,PasteFromWord,Maximize,HorizontalRule,Link,Unlink,Scayt';
	// The default plugins included in the basic setup define some buttons that
	// are not needed in a basic editor. They are removed here.
	//config.removeButtons = 'Cut,Copy,Paste,Anchor,Subscript,Superscript,About,Styles,Format,TextColor,BGColor,Indent,Outdent,Link,Unlink';

	// Dialog windows are also simplified.
	config.removeDialogTabs = 'link:advanced';
    config.scayt_autoStartup = true;
    config.enterMode = CKEDITOR.ENTER_BR;
    if(config.height == null || config.height == 0)
        config.height = 220;
    config.toolbarLocation = 'bottom';
    // Set the most common block elements.
    config.format_tags = 'p;h1;h2;h3;pre';
    
    // Simplify the dialog windows.
    config.removeDialogTabs = 'image:advanced;link:advanced';
};
